<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" 
      xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
      data-namespace-typo3-fluid="true">

<f:layout name="General" />

<f:section name="content">
    <!--TYPO3SEARCH_end-->
    <f:if condition="{news}">

        <f:then>

            <div class="mt-3 mt-md-0 news-list-view container" id="news-list-view" id="news-container-{contentObjectData.uid}">

                <f:if condition="{settings.hidePagination}">
                    <f:then>
                        <f:for each="{news -> n:iterator.chunk(count: 4)}" as="col" iteration="cycle">
                            <div class="row my-0 my-md-3">
                                <f:for each="{col}" as="newsItem">
                                    <div class="col-md-3 col-sm-6 mb-3 mb-md-0">
                                        <f:render partial="List/Item" arguments="{newsItem: newsItem, settings: settings, iterator: cycle}" />
                                    </div>
                                </f:for>
                            </div>
                        </f:for>

                    </f:then>
                    <f:else>

                        <f:if condition="{settings.list.paginate.insertAbove}">
                            <f:render partial="List/Pagination" arguments="{pagination: pagination.pagination, paginator: pagination.paginator}" />
                        </f:if>

                        <f:for each="{pagination.paginator.paginatedItems -> n:iterator.chunk(count: 4)}" as="col" iteration="cycle">
                            <div class="row my-0 my-md-3">
                                <f:for each="{col}" as="newsItem">
                                    <div class="col-md-3 col-sm-6 mb-3 mb-md-0">
                                        <f:render partial="List/Item" arguments="{newsItem: newsItem, settings: settings, iterator: cycle}" />
                                    </div>
                                </f:for>
                            </div>
                        </f:for>

                        <f:if condition="{settings.list.paginate.insertBelow}">
                            <f:render partial="List/Pagination" arguments="{pagination: pagination.pagination, paginator: pagination.paginator}" />
                        </f:if>

                    </f:else>
                </f:if>

            </div>
        </f:then>
        <f:else>
            <div class="no-news-found">
                <f:translate key="list_nonewsfound" />
            </div>
        </f:else>
    </f:if>
    <!--TYPO3SEARCH_begin-->
</f:section>

</html>
